RTEMS: NXP MPC8260ADS

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Files | Data Structures | Macros | Typedefs | Functions | Variables
NXP MPC8260ADS
Board Support Packages » PowerPC

NXP MPC8260ADS Board Support Package. More...

## Files
file | bsp.h
| Global BSP definitions.

## Data Structures
struct | bcsr

## Macros
#define | RTEMS_BSP_NETWORK_DRIVER_NAME "eth1"
#define | RTEMS_BSP_NETWORK_DRIVER_ATTACH rtems_enet_driver_attach

## Typedefs
typedef struct bcsr | BCSR

## Functions
int | rtems_enet_driver_attach (struct rtems_bsdnet_ifconfig *config, int attaching)
void * | bsp_idle_thread (uintptr_t ignored)
| Optimized idle task.
void | cpu_init (void)
int | mbx8xx_console_get_configuration (void)

## Variables
uint32_t | bsp_serial_per_sec

## Detailed Description

NXP MPC8260ADS Board Support Package.

## Function Documentation

## ◆ bsp_idle_thread()

void * bsp_idle_thread | ( | uintptr_t | ignored | ) |

Optimized idle task.

This BSP provides its own IDLE thread to override the RTEMS one.

This idle task sets the power mode to idle. This causes the processor clock to be stopped, while on-chip peripherals remain active. Any enabled interrupt from a peripheral or an external interrupt source will cause the processor to resume execution.

To enable the idle task use the following in the system configuration:

#include <bsp.h>
#define CONFIGURE_INIT
#define CONFIGURE_IDLE_TASK_BODY bsp_idle_thread
#include <confdefs.h>
confdefs.h
Evaluate Configuration Options.

This BSP provides its own IDLE thread to override the RTEMS one.

Optimized idle task.

The MSR[POW] bit is set to put the CPU into the low power mode defined in HID0. HID0 is set during starup in start.S.

This BSP provides its own IDLE thread to override the RTEMS one.

This idle task sets the power mode to idle. This causes the processor clock to be stopped, while on-chip peripherals remain active. Any enabled interrupt from a peripheral or an external interrupt source will cause the processor to resume execution.

To enable the idle task use the following in the system configuration:

#include <bsp.h>
#define CONFIGURE_INIT
#define CONFIGURE_IDLE_TASK_BODY bsp_idle_thread
#include <confdefs.h>

Optimized idle task.

The MSR[POW] bit is set to put the CPU into the low power mode defined in HID0. HID0 is set during starup in start.S.